# User Privacy Core Recipe

A Drupal recipe that enhances user privacy by restricting username visibility to administrators only.

## What this recipe does

This recipe automatically configures username visibility permissions in your Drupal site by:

* Installing the [View Usernames](https://www.drupal.org/project/view_usernames) module
* Granting username viewing permissions only to administrators
* ~~Revoking username viewing permissions from anonymous visitors~~
* ~~Revoking username viewing permissions from authenticated users~~

(Revoking a permission via a Recipe is currently not possible: https://www.drupal.org/node/3500184)

To understand why username privacy matters in the AI era, read our blog post: https://pronovix.com/articles/modernizing-drupals-username-security-policy-ai-era
